$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.17.76-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.17.76-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'C65F5428BFF21D920F2DDE2776656CBDF9632B4FEE9A072B22333046FA780FFD'
  checksumType = 'sha256'
  checksum64 = 'C65F5428BFF21D920F2DDE2776656CBDF9632B4FEE9A072B22333046FA780FFD'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.17.76-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
